CLASS DUMMY_MUTEX(3)

NAME
boost::signals2::dummy_mutex - Fake mutex which does nothing.

SYNOPSIS

// In header: <boost/signals2/dummy_mutex.hpp>
class dummy_mutex : public noncopyable {
public:
  void lock();
  bool try_lock();
  void unlock();
};

DESCRIPTION

You may wish to use the dummy_mutex class for the Mutex template type of your signals if you are not concerned about thread safety. This may give slightly faster performance, since dummy_mutex performs no actual locking.

void lock();

No effect.

bool try_lock();

No effect.

Returns:
    true.

void unlock();

No effect.